Package org.eclipse.emf.cdo.spi.server

# Interface IAppExtension3

All Superinterfaces:
  `IAppExtension`

All Known Implementing Classes:
  `AppExtension`, `LMAppExtension`

public interface IAppExtension3 extends IAppExtension
An optional extension of the `IAppExtension` interface for `repository-aware` app extensions.

Since:
  4.10
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(IRepository[] repositories, File configFile)`
`void`
`stop(IRepository[] repositories)`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`start, stop`

## Method Details

### start

void start(IRepository[] repositories, File configFile) throws Exception

Throws:
  `Exception`

### stop

void stop(IRepository[] repositories) throws Exception

Throws:
  `Exception`